##### basic_waitable_timer::basic_waitable_timer (8 of 8 overloads)

Move-construct a `basic_waitable_timer` from another.

    template<
        typename Executor1>
    basic_waitable_timer(
        basic_waitable_timer< Clock, WaitTraits, Executor1 > && other,
        typename enable_if< is_convertible< Executor1, Executor >::value >::type *  = 0);

This constructor moves a timer from one object to another.

###### Parameters

other

  The other `basic_waitable_timer` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_waitable_timer(const executor_type&)` constructor.